apiVersion: v1
kind: Service
metadata:
  name: prometheus
  namespace: monitoring
spec:
  ports:
  - name: web
    port: 9090
    targetPort: 9090
  selector:
    prometheus: prometheus-monitoring
  sessionAffinity: ClientIP
